commit:     98db7c9a7194b96f971de163ec0866853cea40b5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 22 02:31:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 22 02:50:04 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98db7c9a

dev-python/pyzmq: Bump to 27.0.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyzmq/Manifest            |  1 +
 dev-python/pyzmq/pyzmq-27.0.2.ebuild | 85 ++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-python/pyzmq/Manifest b/dev-python/pyzmq/Manifest
index 5b9be87864a3..a82c4b55d7b9 100644
--- a/dev-python/pyzmq/Manifest
+++ b/dev-python/pyzmq/Manifest
@@ -1,3 +1,4 @@
 DIST pyzmq-26.4.0.gh.tar.gz 279710 BLAKE2B 
45d798d8abeed1ebcaa39c1a53f4669a84e1fbd6b6e3df1444d60e6615e684557f5106c1b540447946977bf88c900f765b9ffda9c790bbfb08a45b072ef74183
 SHA512 
8a90e81ac3e6819ca559bd7b9a5261967f8082da257a79288c7fada32611b72d96a03ad53177894446ee5559a8a763b1a1c97b98e236d120f678d8fa0623f42c
 DIST pyzmq-27.0.0.gh.tar.gz 281941 BLAKE2B 
ced2cd9c90db1bb3021c3216f5102131e7d60800f3e3db64ea6f646d5972f84c84161f2b62f779fc0ce57b07c430b889654176b1bdfa8634171289933631b894
 SHA512 
91a91cae21643018d57f9c239719be5a4a644422c12b09860aa8f124d8fc81a60e07581481dc29eef6523e5aac37e253aacc057b5cc9c9ce6c5937256044f1e3
 DIST pyzmq-27.0.1.gh.tar.gz 282571 BLAKE2B 
7d65c4ebdc98308c908e809c9f56c9521e7352c222b554052b5d2a1db602752dad29c150e8bb5512e9f0c10557962a8cb9a50931ee84b6d8f411eb7d61fe289a
 SHA512 
bc80ae7df6692b9b94e5ff801962f5927f071757374a79aeeeddd3e0e631e6e6b0d12987e75b0758977707dab5e22a14a0dd08cf2980bf022a100a40f5e67aa2
+DIST pyzmq-27.0.2.gh.tar.gz 282779 BLAKE2B 
99e6b9eb911902a8838bcd8e361cfe1b228b259815cd2dfb83d966400e4a21171eb566ebc562d776b155f2b32f17d121bcbfd73e88b0e85e104479d52246a171
 SHA512 
4814a7b2df6c39151b0ac9a3c1fbe13a127e620c916d9f96b1c515de14b0bb8cca5a49930b76c490634c07bfb1a69f6c096335151a1213dbb795e53b77565e79

diff --git a/dev-python/pyzmq/pyzmq-27.0.2.ebuild 
b/dev-python/pyzmq/pyzmq-27.0.2.ebuild
new file mode 100644
index 000000000000..985b42f916aa
--- /dev/null
+++ b/dev-python/pyzmq/pyzmq-27.0.2.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Lightweight and super-fast messaging library built on top of the 
ZeroMQ library"
+HOMEPAGE="
+       https://zeromq.org/languages/python/
+       https://pypi.org/project/pyzmq/
+       https://github.com/zeromq/pyzmq/
+"
+SRC_URI="
+       https://github.com/zeromq/pyzmq/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="drafts"
+
+# There are additional test failures if zeromq has the draft api enabled, but 
pyzmq has it disabled.
+DEPEND="
+       >=net-libs/zeromq-4.2.2-r2:=[drafts=]
+"
+# It uses cffi backend for pypy, cython backend for cpython
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-python/packaging[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+       ' 'python*')
+       test? (
+               >=dev-python/tornado-5.0.2[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,rerunfailures} )
+distutils_enable_tests pytest
+# TODO: Package enum_tools
+# distutils_enable_sphinx docs/source \
+#      dev-python/numpydoc \
+#      dev-python/sphinx-rtd-theme \
+#      dev-python/myst-parser
+
+src_configure() {
+       DISTUTILS_ARGS=(
+               -DZMQ_DRAFT_API="$(usex drafts)"
+               -DPYZMQ_NO_BUNDLE=ON
+               # unnecessarily adds /usr/lib* to rpath
+               -DPYZMQ_LIBZMQ_RPATH=OFF
+       )
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # often crashes zmq?
+               tests/test_log.py::TestPubLog
+       )
+       local EPYTEST_IGNORE=(
+               # Avoid dependency on mypy
+               tests/test_mypy.py
+       )
+
+       case ${EPYTHON} in
+               pypy3*)
+                       EPYTEST_DESELECT+=(
+                               # not implemented in cffi variant?
+                               tests/test_draft.py::TestDraftSockets
+                       )
+       esac
+
+       rm -rf zmq || die
+       # avoid large to reduce memory consumption
+       epytest tests -m "not large"
+}

Reply via email to